# TdApi.ChatTypeSupergroup

Package it.ernytech.tdlib

## Class TdApi.ChatTypeSupergroup

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatType
    - - it.ernytech.tdlib.TdApi.ChatTypeSupergroup

Enclosing class:
  TdApi

    public static class TdApi.ChatTypeSupergroup
    extends TdApi.ChatType

A supergroup (i.e. a chat with up to GetOption("supergroupMaxSize") other users), or channel (with unlimited members).

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isChannel` True, if the supergroup is a channel.
`int` `supergroupId` Supergroup or channel identifier.

### Constructor Summary

Constructors
`ChatTypeSupergroup()` Default constructor.
`ChatTypeSupergroup​(int supergroupId, boolean isChannel)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### supergroupId

    public int supergroupId

Supergroup or channel identifier.

#### isChannel

    public boolean isChannel

True, if the supergroup is a channel.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatTypeSupergroup

    public ChatTypeSupergroup()

Default constructor.

#### ChatTypeSupergroup

    public ChatTypeSupergroup​(int supergroupId,
                              boolean isChannel)

Constructor for initialization of all fields.

Parameters:
  `supergroupId` - Supergroup or channel identifier.
  `isChannel` - True, if the supergroup is a channel.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR